#!/usr/bin/env python
# -*- encoding: utf-8 -*-
'''
@Contact :   liuyuqi.gov@msn.cn
@Time    :   2023/03/16 02:09:19
@License :   Copyright © 2017-2022 liuyuqi. All Rights Reserved.
@Desc    :   
'''

from PyQt5.QtWidgets import QDialog
from crawl_weather.views import main_ui
import requests
from crawl_weather.model import api

class MainDialog(QDialog):
    '''主窗体'''
    def __init__(self, parent=None):
        super(QDialog, self).__init__(parent)
        self.ui = main_ui.MainUI()
        self.ui.setupUi(self)

    def queryWeather(self):
        '''查询天气，绑定点击事件'''
        cityName = self.ui.comboBox.currentText()
        cityCode = self.getCode(cityName)

        r = requests.get(api.getWeather . format(cityCode))

        print(r.json())

        if r.json().get('status') == 200:
            weatherMsg = '城市：{}\n日期：{}\n天气：{}\nPM 2.5：{} {}\n温度：{}\n湿度：{}\n风力：{}\n\n{}'.format(
                r.json()['cityInfo']['city'],
                r.json()['data']['forecast'][0]['ymd'],
                r.json()['data']['forecast'][0]['type'],
                int(r.json()['data']['pm25']),
                r.json()['data']['quality'],
                r.json()['data']['wendu'],
                r.json()['data']['shidu'],
                r.json()['data']['forecast'][0]['fl'],
                r.json()['data']['forecast'][0]['notice'],
            )
        else:
            weatherMsg = '天气查询失败，请稍后再试！'

        self.ui.textEdit.setText(weatherMsg)

    def getCode(self, cityName):
        '''获取城市码'''
        cityDict = {"北京": "101010100",
                    "上海": "101020100",
                    "天津": "101030100"}

        return cityDict.get(cityName, '101010100')

    def clearText(self):
        '''清除输入框，绑定点击事件'''
        self.ui.textEdit.clear()
